### Method

# WebKit2 WebsiteDataManager get_local_storage_directory

deprecated: 2.40 since: 2.10

#### Declaration [src]

    const gchar*
    webkit_website_data_manager_get_local_storage_directory (
      WebKitWebsiteDataManager* manager
    )

#### Description [src]

Get the `WebKitWebsiteDataManager:local-storage-directory` property.

Available since: 2.10

Deprecated since: 2.40

, use `webkit_website_data_manager_get_base_data_directory()` instead.

Gets property | `WebKit2.WebsiteDataManager:local-storage-directory`

#### Return value

Type: `const gchar*`

The directory where local storage data is stored or `NULL` if `manager` is ephemeral.

The data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.